Errors after Omniverse Installation

Hello guys,
me and my company started working on the Nvidia omniverse. Therefore I did the technical training sessions and installed the IT Managed Launcher according to the instructions in the training session.
The launcher itself started (works slowly) but I’m getting errors and warnings I’m a bit worried about.

Coud you please explain me what this is about (in the instructions it was mentioned to create “omniverse.toml” but not a “auth.toml”):

[2023-08-31 09:20:04.896] [error] (node:1346261) UnhandledPromiseRejectionWarning: Error: ENOENT: no such file or directory, access ‘/home/ntt-data/.nvidia-omniverse/config/auth.toml’
[2023-08-31 09:20:04.896] [error] (node:1346261) UnhandledPromiseRejectionWarning: Unhandled promise rejection. This error originated either by throwing inside of an async function without a catch block>

Furthermore I’m getting these errors:

[1346296:0831/091959.820307:ERROR:angle_platform_impl.cc(43)] RendererVk.cpp:157 (VerifyExtensionsPresent): Extension not supported: VK_KHR_surface
ERR: RendererVk.cpp:157 (VerifyExtensionsPresent): Extension not supported: VK_KHR_surface
[1346296:0831/091959.820423:ERROR:angle_platform_impl.cc(43)] RendererVk.cpp:157 (VerifyExtensionsPresent): Extension not supported: VK_KHR_xcb_surface
ERR: RendererVk.cpp:157 (VerifyExtensionsPresent): Extension not supported: VK_KHR_xcb_surface
[1346296:0831/091959.820483:ERROR:angle_platform_impl.cc(43)] Display.cpp:1019 (initialize): ANGLE Display::initialize error 0: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, enableInstanceExtensions:1639.
ERR: Display.cpp:1019 (initialize): ANGLE Display::initialize error 0: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, enableInstanceExtensions:1639.
[1346296:0831/091959.820540:ERROR:gl_display.cc(504)] EGL Driver message (Critical) eglInitialize: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, enableInstanceExtensions:1639.
[1346296:0831/091959.820581:ERROR:gl_display.cc(793)] eglInitialize SwANGLE failed with error EGL_NOT_INITIALIZED
[1346296:0831/091959.820622:ERROR:gl_display.cc(819)] Initialization of all EGL display types failed.
[1346296:0831/091959.820662:ERROR:gl_ozone_egl.cc(26)] GLDisplayEGL::Initialize failed.
[1346296:0831/091959.832225:ERROR:viz_main_impl.cc(186)] Exiting GPU process due to errors during initialization

Can you confirm that this is related to an issue with the GPU / driver ?
So far, I have no gpu installed there but the launcher is working in general. We are wondering if it is really needed to have a GPU installed - even if it is the smallest application?!

Looking forward to your reply !
Many thanks in advance.

Erik

@erik.zeidler i am not affiliated with the dev, but as another user, sounds like you guys have specific setup given that you have no GPU installed? in general, the OV doc has included technical requirement for each OV app that may be good to check out.

do you mind providing a bit more context as to when you are getting the second set of errors? was it when you are attempting to launch an app? if you can also provide the Launcher log in its entirety for the dev to review, they may be able to gauge the whole picture. you can find the the here - /home/ntt-data/.nvidia-omniverse/logs/launcher.log

@Simplychenable thank you for the quick feedback.

The first issue I got already solved with creating a file called “auth.toml” instead of “omniverse.toml” (described in the instruction). So this error message doesn’t appear anymore.

Indeed you are right. We have set it up - for now - without GPU, just for the first trials.
Thank you for the hint about the technical requirements!

This second set of errors I’m only getting when starting the launcher. So I’m even not launching an app - just starting the omniverse launcher.
Here you can see the launcher.log:

[2023-08-31 13:57:53.217] [info] Omniverse Launcher 1.8.11 (production)
[2023-08-31 13:57:53.229] [info] Argv: /tmp/.mount_omniveZzODT1/omniverse-launcher
[2023-08-31 13:57:53.229] [info] Crash dumps directory: /home/ntt-data/.config/omniverse-launcher/Crashpad
[2023-08-31 13:57:53.259] [debug] Reset current installer.
[2023-08-31 13:57:53.269] [info] Running production web server.
[2023-08-31 13:57:53.279] [info] HTTP endpoints listening at http://localhost:33480
[2023-08-31 13:57:53.281] [debug] Sharing: false
[2023-08-31 13:57:53.485] [info] Started the Navigator web server on 127.0.0.1:34080.
[2023-08-31 13:57:54.432] [info] Saving omniverse-launcher.desktop file to /tmp/omniverse-launcher-IwDSv1…
[2023-08-31 13:57:54.433] [debug]

  • [Desktop Entry]*
    Name=omniverse-launcher
    Exec=“/home/ntt-data/Downloads/omniverse-launcher-1.8.11-linux-enterprise.AppImage” %u
    Type=Application
    Terminal=false
    MimeType=x-scheme-handler/omniverse-launcher
    [2023-08-31 13:57:54.572] [info] Saving omniverse.desktop file to /tmp/omniverse-launcher-DJhAH3…
    [2023-08-31 13:57:54.573] [debug]
  • [Desktop Entry]*
    Name=omniverse-launcher
    Exec=“/home/ntt-data/Downloads/omniverse-launcher-1.8.11-linux-enterprise.AppImage” %u
    Type=Application
    Terminal=false
    MimeType=x-scheme-handler/omniverse

So there you can not see it. I can only see it when starting the launcher from the command line.
It is like an initialization failure - shows up 6x like this:

[1360223:0831/155418.123254:ERROR:angle_platform_impl.cc(43)] RendererVk.cpp:157 (VerifyExtensionsPresent): Extension not supported: VK_KHR_surface
ERR: RendererVk.cpp:157 (VerifyExtensionsPresent): Extension not supported: VK_KHR_surface
[1360223:0831/155418.123348:ERROR:angle_platform_impl.cc(43)] RendererVk.cpp:157 (VerifyExtensionsPresent): Extension not supported: VK_KHR_xcb_surface
ERR: RendererVk.cpp:157 (VerifyExtensionsPresent): Extension not supported: VK_KHR_xcb_surface
[1360223:0831/155418.123408:ERROR:angle_platform_impl.cc(43)] Display.cpp:1019 (initialize): ANGLE Display::initialize error 0: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, enableInstanceExtensions:1639.
ERR: Display.cpp:1019 (initialize): ANGLE Display::initialize error 0: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, enableInstanceExtensions:1639.
[1360223:0831/155418.123460:ERROR:gl_display.cc(504)] EGL Driver message (Critical) eglInitialize: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, enableInstanceExtensions:1639.
[1360223:0831/155418.123502:ERROR:gl_display.cc(793)] eglInitialize SwANGLE failed with error EGL_NOT_INITIALIZED
[1360223:0831/155418.123544:ERROR:gl_display.cc(819)] Initialization of all EGL display types failed.
[1360223:0831/155418.123585:ERROR:gl_ozone_egl.cc(26)] GLDisplayEGL::Initialize failed.

Then 1x this line:

[1360223:0831/155418.125019:ERROR:viz_main_impl.cc(186)] Exiting GPU process due to errors during initialization

And afterwards the launcher starts up successfully (like seen in the launcher.log)

15:54:18.647 › Saving omniverse-launcher.desktop file to /tmp/omniverse-launcher-kZG6SQ…
*15:54:18.648 › *

  • [Desktop Entry]*
    Name=omniverse-launcher
    Exec=“/home/ntt-data/Downloads/omniverse-launcher-1.8.11-linux-enterprise.AppImage” %u
    Type=Application
    Terminal=false
    MimeType=x-scheme-handler/omniverse-launcher
    15:54:18.789 › Saving omniverse.desktop file to /tmp/omniverse-launcher-FLSW8P…
    *15:54:18.789 › *
  • [Desktop Entry]*
    Name=omniverse-launcher
    Exec=“/home/ntt-data/Downloads/omniverse-launcher-1.8.11-linux-enterprise.AppImage” %u
    Type=Application
    Terminal=false
    MimeType=x-scheme-handler/omniverse